package com.example.demo;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.web.reactive.config.EnableWebFlux;

// Springboot application with mongodb

@SpringBootApplication
/*
The @EnableWebFlux annotation in Spring Boot is used to activate and configure the WebFlux framework, a reactive programming paradigm for building web applications. By annotating the main application class with @EnableWebFlux, developers enable the use of reactive constructs like Flux and Mono for handling asynchronous and non-blocking operations. WebFlux is particularly beneficial in scenarios requiring high concurrency and low-latency responses, making it suitable for real-time applications and microservices. This annotation empowers developers to leverage reactive programming principles to efficiently manage I/O-bound operations, ultimately enabling the creation of scalable and responsive web applications.
 */
@EnableWebFlux
public class DemoApplication {

    public static void main(String[] args) {
        SpringApplication.run(DemoApplication.class, args);
    }
}
